#ifndef MYMUTEX_H_INCLUDED__
#define MYMUTEX_H_INCLUDED__

#include <pthread.h>

class MyMutex {
 private:
	pthread_mutex_t m_mutex;

 public:
	MyMutex() {
		pthread_mutex_init(&m_mutex, NULL);
	}
	
	~MyMutex() {
		pthread_mutex_destroy(&m_mutex);
	}

	void Lock() {
		pthread_mutex_lock(&m_mutex);
	}

	void Unlock() {
		pthread_mutex_unlock(&m_mutex);
	}
};

#endif								  // MYMUTEX_H_INCLUDED__
