#ifndef _TASKD_H_INCLUDED___
#define _TASKD_H_INCLUDED___

#include <string.h>

#define PRIORITY_BOUND_HIGH        20
#define PRIORITY_BOUND_NULL        -1
#define PRIORITY_BOUND_DIFFERENCE  30

#define PRIORITY_LOWEST   9999

typedef enum {
	TASK_TYPE_SHELL,
	TASK_TYPE_SO,
	TASK_TYPE_CLASS
} TaskType;

typedef enum {
	DIR_TYPE_INCOMING,
	DIR_TYPE_SCHEDULED,
	DIR_TYPE_RETRY,
	DIR_TYPE_FAILED
} DirType;

static const char *DirTypeName[] = { "/", "/.scheduled/", "/.retry/", "/.failed/" };
static size_t DirTypeNameLength[] = {
	strlen(DirTypeName[DIR_TYPE_INCOMING]),
	strlen(DirTypeName[DIR_TYPE_SCHEDULED]),
	strlen(DirTypeName[DIR_TYPE_RETRY]),
	strlen(DirTypeName[DIR_TYPE_FAILED]),
};

#ifdef TRACE
void trace(const char *mask, ...);
#endif

#endif								  // _TASKD_H_INCLUDED___
