#ifndef __CREATETASKFILENATIVE_H_INCLUDED__
#define __CREATETASKFILENATIVE_H_INCLUDED__

#include <jni.h>

#ifdef __cplusplus
extern "C" {
#endif

// ---------------------------------- JNI interface -----------------------------------------------------

/*
 * Class:     taskd_util_CreateTaskFile
 * Method:    createTaskFileNative
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)I
 */


JNIEXPORT jint JNICALL Java_imagemed_util_CreateTaskFile_createTaskFileNative
  (JNIEnv *, jclass, jstring, jstring, jstring, jstring, jstring, jstring, jstring, jint );

/*
 * Class:     taskd_util_CreateTaskFile
 * Method:    closeCreateTaskFileNative
 * Signature: ()I
 */


JNIEXPORT jint JNICALL Java_imagemed_util_CreateTaskFile_closeCreateTaskFileNative
  (JNIEnv *, jclass );


/*
 * Class:     taskd_util_CreateTaskFile
 * Method:    generateJobID
 * Signature: ()Ljava/lang/String
 */


JNIEXPORT jstring JNICALL Java_imagemed_util_CreateTaskFile_generateJobIDNative
  (JNIEnv *, jclass );




#ifdef __cplusplus
}
#endif


#endif								  // __CREATETASKFILE_H_INCLUDED__
