#ifndef __DRWATSON_H_INCLUDED__
#define __DRWATSON_H_INCLUDED__

typedef enum {
	MESSAGE_TYPE_READY = 0,
	MESSAGE_TYPE_ERROR,
	MESSAGE_TYPE_WARNING
} MESSAGE_TYPE;

typedef enum {
	MESSAGE_LEVEL_NONE = 0,
	MESSAGE_LEVEL_TMP,
	MESSAGE_LEVEL_VAR
} MESSAGE_LEVEL;

class DrWatson {
 private:
	char *m_strMessage;
	char *m_strID;
	MESSAGE_TYPE m_MessageType;
	MESSAGE_LEVEL m_MessageLevel;


	char *ReplaceQuotes(const char *str);

 public:
	DrWatson(const char *strMessage, const char *strID, MESSAGE_TYPE messageType, MESSAGE_LEVEL messageLevel);
	~DrWatson();

	void CheckAndSend();
};

#endif								  // __DRWATSON_H_INCLUDED__
