#ifndef JAVACALL_H_INCLUDED
#define JAVACALL_H_INCLUDED

class JavaCall {
	private:
		int m_nSocket;
		char * m_strIP;
		int m_nPort;

		int Connect();
		void CloseConnection();
		int Send( const char * strMessage );
		int Read( char * strResponse, int nResponseLength );

	public:
		JavaCall( char * strIP, int nPort );
		~JavaCall();

		int SendCommand( const char * strCommand, char * strResponse, int nResponseLength );
		void SendKill();
		void SendExit();
		bool SendPing();
};

#endif								  // JAVACALL_H_INCLUDED
